## SBMLToolbox 4.1 API

This manual describes the application programming interface (API) of SBMLToolbox, an open-source (LGPL) MATLAB/Octave toolbox for writing and manipulating content in the Systems Biology Markup Language (SBML). This version of SBMLToolbox supports all releases of SBML up through Level 3 Version 1 Core Release 1. For more information about SBML, please visit http://sbml.org on the Internet.

All functions can be used in both the MATLAB and Octave environments.

### Installation

- Installation

### Functions

- Known issues
- General functions
- Accessing the model
- Convenience functions
- Simulation functions
- Validation functions

### MATLAB_SBML Structure Functions

- General functions
- Fieldname functions
- AlgebraicRule
- AssignmentRule
- Compartment
- CompartmentType
- CompartmentVolumeRule
- Constraint
- Delay
- Event
- EventAssignment
- FunctionDefinition
- InitialAssignment
- KineticLaw
- LocalParameter
- Model
- ModifierSpeciesReference
- Parameter
- ParameterRule
- Priority
- RateRule
- Reaction
- Rule
- Species
- SpeciesConcentrationRule
- SpeciesReference
- SpeciesType
- StoichiometryMath
- Trigger
- Unit
- UnitDefinition

### MATLAB_SBML Structures

The following sections detail the structures of individual component types.

- AlgebraicRule
- AssignmentRule
- Compartment
- CompartmentType
- CompartmentVolumeRule
- Constraint
- Delay
- Event
- EventAssignment
- FunctionDefinition
- InitialAssignment
- KineticLaw
- LocalParameter
- Model
- ModifierSpeciesReference
- Parameter
- ParameterRule
- Priority
- RateRule
- Reaction
- Species
- SpeciesConcentrationRule
- SpeciesReference
- SpeciesType
- StoichiometryMath
- Trigger
- Unit
- UnitDefinition

### Level 3 FBC package

This version of SBMLToolbox (4.1.0) includes support for creating and manipulating structures representing the SBML L3 Flux Boubd Constraints (fbc) package.

- General Functions
- Validation
- MATLAB_SBML_FBC Structure Functions

- Fieldname functions
- FBC_Model
- FBC_Species
- FluxBound
- FluxObjective
- Objective

- MATLAB_SBML_FBC Structures

- FBC_Model
- FBC_Species
- FluxBound
- FluxObjective
- Objective

### Acknowledgements

This and other projects of the SBML Team have been supported by the following organizations: the National Institutes of Health (USA) under grants R01 GM070923 and R01 GM077671; the International Joint Research Program of NEDO (Japan); the JST ERATO-SORST Program (Japan); the Japanese Ministry of Agriculture; the Japanese Ministry of Education, Culture, Sports, Science and Technology; the BBSRC e-Science Initiative (UK); the DARPA IPTO Bio-Computation Program (USA); the Army Research Office's Institute for Collaborative Biotechnologies (USA); the Air Force Office of Scientific Research (USA); the California Institute of Technology (USA); the University of Hertfordshire (UK); the Molecular Sciences Institute (USA); the Systems Biology Institute (Japan); and Keio University (Japan).